DNF5-ADVISORY(8)

NUME
dnf5-advisory - comanda «advisory»

SINOPSIS

dnf5 advisory <subcomanda> [opțiuni] [<specificație-aviz>...]

DESCRIERE

Comanda advisory din DNF5 oferă mai multe interogări pentru obținerea de informații despre avize și pachete legate de acestea.

Argumentele opționale specificație-aviz pot fi pasate pentru a filtra numai avizele cu numele specificate.

Notă:
        Comanda updateinfo este disponibilă ca alias de compatibilitate pentru advisory. De exemplu, comanda dnf5 updateinfo list este echivalentă cu dnf5 advisory list.

SUBCOMENZI

    list - listă
        Afișează avizele care corespund criteriilor specificate.
        Afișează un tabel cu următoarele coloane: Nume (ID aviz), Tip, Gravitate, Pachet (NEVRA) și Emis (data).
        Când este specificată opțiunea --with-bz sau --with-cve, prima coloană afișează ID-ul de referință Bugzilla sau CVE în locul numelui avizului.
        Pachetele avizate instalate sunt evidențiate cu verde.

    info
        Afișează informații detaliate despre avize.
        Pentru fiecare aviz corespunzător, afișează: nume, titlu, gravitate, tip, stare, furnizor, data emiterii, descriere, mesaj, drepturi, referințe (cu titlu, ID, tip şi URL) şi pachetele/modulele afectate, organizate pe colecții.

    summary
        Afișează un rezumat al numărului de avize clasificate după tip și gravitate.
        Afișează un rezumat ierarhic care indică numărul de avize din fiecare categorie:
        Securitate (cu subcategorii: Critic, Important, Moderat, Scăzut, Altele), Remediere erori, Îmbunătățiri și Altele.
        Antetul rezultatului indică modul de filtrare: Disponibil (implicit), Toate, Instalat sau Actualizări.

OPȚIUNI

    --all
        Afișează avizele care conțin orice versiune a pachetelor instalate.

    --available
        Afișează avizele care conțin versiuni mai noi ale pachetelor instalate. Acesta este comportamentul implicit.

    --installed
        Afișează avizele care conțin versiuni egale și mai vechi ale pachetelor instalate.

    --updates
        Afișează avizele care conțin versiuni mai noi ale pachetelor instalate pentru care este disponibilă o versiune mai nouă.

    --contains-pkgs=NUME_PACHET,...
        Afișează numai avizele care conțin pachetele cu numele specificate.
        Aceasta este o opțiune de listă.
        Numai pachetele instalate sunt luate în considerare. Modelele cu
        caractere joker sunt acceptate.

    --security
        Include conținutul conținut în avizele de securitate.

    --bugfix
        Include conținutul conținut în avizele de remediere a erorilor.

    --enhancement
        Include conținutul conținut în avizele de îmbunătățire.

    --newpackage
        Include conținutul conținut în avizele de pachete noi.

    --advisory-severities=GRAVITATE_AVIZ,...
        Include conținutul conținut în avize cu severitatea specificată.
        Aceasta este o opțiune de listă.
        Valorile acceptate sunt: critical, important, moderate, low (scăzută), none (niciuna).

    --bzs=ID_BUGZILLA,...
        Include conținutul conținut în avize care corectează un tichet cu ID-ul Bugzilla dat.
        Aceasta este o opțiune de listă.
        Valorile așteptate sunt ID-uri numerice, de exemplu 123123.
        Orice comandă de tranzacție (install, upgrade) va eșua cu o eroare dacă nu există niciun aviz care să rezolve problema dată; acest lucru poate fi ocolit prin utilizarea opțiunii „--skip-unavailable”.

    --cves=ID_CVE,...
        Include conținutul conținut în avize care fixează un tichet cu ID-ul CVE (Common Vulnerabilities and Exposures) dat.
        Aceasta este o opțiune de listă.
        Valorile așteptate sunt șiruri de ID-uri în format CVE, de exemplu CVE-2201-0123.
        Orice comandă de tranzacție (install, upgrade) va eșua cu o eroare dacă nu există niciun aviz care să rezolve problema dată; acest lucru poate fi ocolit prin utilizarea opțiunii „--skip-unavailable”.

    --with-bz
        Afișează numai avizele care fac referire la un tichet Bugzilla.

    --with-cve
        Afișează numai avizele care fac referire la un tichet CVE.

    --json
        Solicită formatul de ieșire JSON pentru rezultate care pot fi citite automat.
        Disponibilă numai pentru subcomenzile list și info.

EXEMPLE

    dnf5 advisory info FEDORA-2022-07aa56297a
        Afișează informații detaliate despre avizul cu numele dat.

    dnf5 advisory summary --contains-pkgs=kernel,kernel-core --with-bz
        Afișează un rezumat al avizelor care conțin pachetele kernel sau kernel-core și fac referire la orice ticket Bugzilla.

    dnf5 advisory list --security --advisory-severities=important
        Afișează o listă de avize de securitate sau avize cu un nivel de gravitate important.

    dnf5 advisory list --json
        Afișează toate avizele în format JSON pentru procesare programatică.

    dnf5 advisory list --json --with-cve
        Listează avizele cu referințe CVE în format JSON (format extins).

    dnf5 advisory info FEDORA-2022-07aa56297a --json
        Afișează informații detaliate despre aviz în formatul JSON.

IEȘIRE JSON

    •   dnf5 advisory list --json

Comanda returnează o matrice JSON, fiecare element descriind un aviz.

Formatul bazic (fără --with-cve sau --with-bz):

            •   name (șir) - Identificator aviz.

            •   type (șir) - Tipul avizului (securitate, remediere erori, îmbunătățire).

            •   severity (șir) - Nivelul de gravitate al avizului.

            •   nevra (șir) - Numele pachetului-epocă:versiune-lansare.arhitectură.

            •   buildtime (număr întreg) - Timpul estimativ de compilare, timp UNIX.

Formatul extins (cu --with-cve sau --with-bz):

            •   advisory_name (șir) - Identificator aviz.

            •   advisory_type (șir) - Tipul avizului (securitate, remediere erori, îmbunătățire).

            •   advisory_severity (șir) - Nivelul de gravitate al avizului.

            •   advisory_buildtime (număr întreg) - Timpul estimativ de compilare, timp UNIX.

            •   nevra (șir) - Numele pachetului-epocă:versiune-lansare.arhitectură.

            •   references (matrice) - Lista referințelor (CVE/Bugzilla). Fiecare referință conține:

                    •   reference_id (șir) - Identificator referință (de exemplu, CVE-2024-1234).

                    •   reference_type (șir) - Tip referință (cve sau bugzilla).

    •   dnf5 advisory info --json

Comanda returnează o matrice JSON, fiecare element conținând informații detaliate privind avizul. Fiecare obiect aviz conține următoarele câmpuri:

    •   Name (șir) - Numele/identificatorul avizului.

    •   Title (șir) - Titlul avizului.

    •   Type (șir) - Tipul avizului (securitate, remediere erori, îmbunătățire).

    •   Severity (șir) - Nivelul de gravitate al avizului.

    •   Status (șir) - Starea avizului.

    •   Vendor (șir) - Furnizorul avizului.

    •   Issued (număr întreg) - Ora emiterii avizului, ora UNIX.

    •   Description (șir) - Descriere detaliată a avizului.

    •   Message (șir) - Mesajul avizului.

    •   Rights (șir) - Drepturi privind avizul/informații privind drepturile de autor.

    •   references (matrice) - Lista referințelor (CVE/Bugzilla). Fiecare referință conține:

        •   Title (șir) - Titlul referinței.

        •   id (șir) - Identificator referință (de exemplu, CVE-2024-1234).

        •   Type (șir) - Tip referință (cve sau bugzilla).

        •   Url (șir) - URL-ul de referinței.

    •   collections (obiect) - Colecții de pachete și module afectate de aviz:

        •   packages (matrice) - Lista pachetelor NEVRA afectate (prezentă numai dacă există pachete).

        •   modules (matrice) - Lista modulelor NSVCA afectate (prezentă numai dacă există module).

Pentru rezultate goale:

    •   dnf5 advisory list --json returnează [] (matrice goală).

    •   dnf5 advisory info --json returnează [] (matrice goală).

Autor
A se vedea AUTHORS.md în distribuția sursei dnf5.

Drepturi de autor
Contribuitori la proiectul dnf5.

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org> și Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.